Subject: Re: e1000e: reset of tx_queue_len

From: Franco Fichtner <[email-masked]>
Date: Wed, 03 Mar 2010 15:22:59 +0100

Hi Jesse,

> Its possible we should just remove this code from the in-kernel 
> driver, as I don't think many other drivers mess with the tx_queue_len 
> either.  We did introduce the code to fix some users complaints about the 
> amount of work that can get queued up in the hardware with tx_queue_len = 
> 1000 when at 10/100 speeds.
>   

I've tested the changes you suggested and now tx_queue_len
is no longer reset. I have also prepared a patch for net-next
for you to sign or ack (or nack) because I'd like to see this go,
also.

Thanks again,
Franco